LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces
thread.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "osl/thread.hxx"`
`#include "sal/types.h"`
`#include "salhelper/salhelperdllapi.h"`
`#include "salhelper/simplereferenceobject.hxx"`

Go to the source code of this file.

## Classes
class | salhelper::Thread
| A safe encapsulation of osl::Thread. More...

## Namespaces
| salhelper